Bug 1977976 - CVE-2021-35942 glibc: Arbitrary read in wordexp() [fedora-all]
Summary: CVE-2021-35942 glibc: Arbitrary read in wordexp() [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Patsy Griffin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-35942
TreeView+ depends on / blocked
 
Reported: 2021-06-30 20:05 UTC by Pedro Sampaio
Modified: 2021-07-20 01:09 UTC (History)
11 users (show)

Fixed In Version: glibc-2.33.9000-33.fc35 glibc-2.33-20.fc34 glibc-2.32-10.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-14 01:20:23 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 28011 0 P2 RESOLVED Wild read in wordexp (parse_param) (CVE-2021-35942) 2021-07-05 11:47:48 UTC

Description Pedro Sampaio 2021-06-30 20:05:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-06-30 20:05:15 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1977975,1977976

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Carlos O'Donell 2021-07-06 13:24:11 UTC
We are looking at at fixing this in F34 and F33, but we need backports to the upstream stable branches.

Comment 3 Carlos O'Donell 2021-07-06 14:28:00 UTC
We need to do the following:
- Backport 5adda61f62b77384718b4c0d8336ade8f2b4b35c from master to release/master/2.33 (post to libc-stable)
- Backport 5adda61f62b77384718b4c0d8336ade8f2b4b35c from master to release/master/2.32 (post to libc-stable)
- Sync release/master/2.33 to Fedora 34
- Sync release/master/2.32 to Fedora 33
- Bodhi update for F34
- Bodhi update for F33

commit 5adda61f62b77384718b4c0d8336ade8f2b4b35c
Author: Andreas Schwab <schwab@linux-m68k.org>
Date:   Fri Jun 25 15:02:47 2021 +0200

    wordexp: handle overflow in positional parameter number (bug 28011)
    
    Use strtoul instead of atoi so that overflow can be detected.

Comment 4 Carlos O'Donell 2021-07-06 14:30:36 UTC
(In reply to Carlos O'Donell from comment #3)
> We need to do the following:
> - Backport 5adda61f62b77384718b4c0d8336ade8f2b4b35c from master to
> release/master/2.33 (post to libc-stable)
> - Backport 5adda61f62b77384718b4c0d8336ade8f2b4b35c from master to
> release/master/2.32 (post to libc-stable)
> - Sync release/master/2.33 to Fedora 34
> - Sync release/master/2.32 to Fedora 33

Sorry, release/X.Y/master e.g. release/2.32/master and release/2.33/master

Comment 6 Fedora Update System 2021-07-12 17:35:30 UTC
FEDORA-2021-e14e86e40e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e14e86e40e

Comment 7 Fedora Update System 2021-07-12 17:39:06 UTC
FEDORA-2021-3f4132bb56 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3f4132bb56

Comment 8 Fedora Update System 2021-07-13 01:02:13 UTC
FEDORA-2021-e14e86e40e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e14e86e40e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e14e86e40e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-07-13 01:04:33 UTC
FEDORA-2021-3f4132bb56 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3f4132bb56`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3f4132bb56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-07-13 14:02:43 UTC
FEDORA-2021-3f4132bb56 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3f4132bb56

Comment 11 Fedora Update System 2021-07-14 01:09:48 UTC
FEDORA-2021-3f4132bb56 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3f4132bb56`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3f4132bb56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-07-14 01:20:23 UTC
FEDORA-2021-e14e86e40e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-07-20 01:09:45 UTC
FEDORA-2021-3f4132bb56 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.